Bug 429603 - Dolphin refuses to launch AppImages marked as executables
Summary: Dolphin refuses to launch AppImages marked as executables
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Folder (show other bugs)
Version: 5.24.0
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-24 20:38 UTC by ryu.ketsueki
Modified: 2022-07-05 15:02 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ryu.ketsueki 2020-11-24 20:38:44 UTC
SUMMARY
The summary says it all, although AppImages are still being launched from Folder View.

STEPS TO REPRODUCE
1. Double-click an AppImage on Dolphin

OBSERVED RESULT
An error dialog saying "For security reasons, launching executables is not allowed in this context."

EXPECTED RESULT
The AppImage being launched just like in Folder View

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20201121
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.77.0
Qt Version: 5.15.2
Kernel Version: 5.9.8-2-default
OS Type: 64-bit
Processors: 4 × Intel® Core™ i3-7020U CPU @ 2.30GHz
Memory: 7.7 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 620

ADDITIONAL INFORMATION
Dolphin version: 21.03.70git.20201123T133822~b62095950-ku.3.1
The whole system finished updating about ten minutes ago through zypper dup command and was restarted.
Comment 1 Nate Graham 2020-11-24 20:53:14 UTC
Git commit bcdb1957af4de9d7fc480e370c33fd8c666b663f by Nate Graham.
Committed on 24/11/2020 at 20:47.
Pushed by ngraham into branch 'release/20.12'.

Allow the openURLJob to run executables

Otherwise, excecutable files like AppImages won't be allowed to launch
even if they are correctly marked as executable.
FIXED-IN: 20.12

M  +1    -0    src/dolphinviewcontainer.cpp

https://invent.kde.org/system/dolphin/commit/bcdb1957af4de9d7fc480e370c33fd8c666b663f
Comment 2 Petr 2021-07-09 17:03:19 UTC
question: i'm still experiencing this annoying bug.
dolphin: 20.12.2
plasma 5.20.5
kde framew : 5.79.0
qt: 5.15.2
kernel: 5.12.14 fedora 33 (most recent)
could please someone specify the exact version, when this is supposed to fixed?
Comment 3 ryu.ketsueki 2021-07-13 17:08:26 UTC
(In reply to Petr from comment #2)
> question: i'm still experiencing this annoying bug.
> dolphin: 20.12.2
> plasma 5.20.5
> kde framew : 5.79.0
> qt: 5.15.2
> kernel: 5.12.14 fedora 33 (most recent)
> could please someone specify the exact version, when this is supposed to
> fixed?

Same here, still can't launch Appimages and now it's worse because .desktop files are opened on Kate instead of launched as well, although I'm on 21.04.3 stable for now because I'm testing DNF on Tumbleweed and, so far, it doesn't do well with KDE Unstable Repos. I won't be able to check if it has been fixed if it ever gets
Comment 4 Nate Graham 2021-07-23 13:24:58 UTC
Cannot reproduce. :/
Comment 5 ryu.ketsueki 2021-07-23 14:46:31 UTC
(In reply to Nate Graham from comment #4)
> Cannot reproduce. :/

Could old configs on Plasma be the cause of this? For me, the dialog "For security reasons, launching executables is not allowed in this context." keeps appearing whenever I try to open an Appimage. KDE Plasma's been so stable with me that I never saw the necessity to nuke all the configs related to it
Comment 6 Lemuel Simon 2022-06-25 16:49:54 UTC
Currently on Dolphin version 22.04.2. Double-clicking to launch AppImages, .exe's or .sh's work normally. However, right-clicking then running isn't possible as there is no 'Execute' option listed in the menu. Same with .desktop files; they work if you double-click, but you cannot right-click and execute.
Comment 7 Nate Graham 2022-06-27 16:05:28 UTC
That's a separate issue.
Comment 8 Nate Graham 2022-06-27 19:24:05 UTC
Can reproduce now; the originally-reported issue will be fixed by https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1009.
Comment 9 Nicolas Fella 2022-07-02 16:19:02 UTC
(In reply to Nate Graham from comment #8)
> Can reproduce now; the originally-reported issue will be fixed by
> https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1009.

The originally reported issue was about Dolphin (and seems already fixed), not folder view
Comment 10 Nate Graham 2022-07-05 14:17:35 UTC
Oops.

Lemuel, can you please file a new bug report for that separate issue? Thanks!
Comment 11 Lemuel Simon 2022-07-05 15:02:02 UTC
(In reply to Nate Graham from comment #10)
> Lemuel, can you please file a new bug report for that separate issue? Thanks!

No problem. 

I've opened a new one over here: https://bugs.kde.org/show_bug.cgi?id=456356